Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse PDE Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.pde.core.plugin
Interface IFragment

All Superinterfaces:
  IAdaptable, IExtensions, IIdentifiable, IPluginBase, IPluginObject, IWritable

public interface IFragment
extends IPluginBase

A model object that represents the content of the fragment.xml file.

Field Summary
`static String` | `P_PLUGIN_ID` A property that will be used to notify that a plugin id has changed.
`static String` | `P_PLUGIN_VERSION` A property that will be used to notify that a plugin version has changed.
`static String` | `P_RULE` A property that will be used to notify that a plugin version match rule has changed.

Fields inherited from interface org.eclipse.pde.core.plugin.IPluginBase
`P_IMPORT_ORDER, P_LIBRARY_ORDER, P_PROVIDER, P_SCHEMA_VERSION, P_VERSION`

Fields inherited from interface org.eclipse.pde.core.plugin.IExtensions
`P_EXTENSION_ORDER`

Fields inherited from interface org.eclipse.pde.core.plugin.IPluginObject
`P_NAME`

Fields inherited from interface org.eclipse.pde.core.IIdentifiable
`P_ID`

Method Summary
`String` | `getPluginId()` Returns the id of the plug-in that is the target of this fragment.
`String` | `getPluginVersion()` Returns the version of the plug-in that is the target of this fragment.
`int` | `getRule()` Returns an optional version match rule as defined in IMatchRule interface.
`void` | `setPluginId(String id)` Sets the id of the plug-in that will be the target of this fragment.
`void` | `setPluginVersion(String version)` Sets the version of the plug-in that will be the target of this fragment.'
`void` | `setRule(int rule)` Sets the optional version match rule as defined in IMatchRules.

Methods inherited from interface org.eclipse.pde.core.plugin.IPluginBase
`add, add, getImports, getLibraries, getProviderName, getSchemaVersion, getVersion, remove, remove, setProviderName, setSchemaVersion, setVersion, swap, swap`

Methods inherited from interface org.eclipse.pde.core.plugin.IExtensions
`add, add, getExtensionPoints, getExtensions, getIndexOf, remove, remove, swap`

Methods inherited from interface org.eclipse.pde.core.plugin.IPluginObject
`getModel, getName, getParent, getPluginBase, getPluginModel, getResourceString, getTranslatedName, isInTheModel, isValid, setInTheModel, setName`

Methods inherited from interface org.eclipse.pde.core.IWritable
`write`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.pde.core.IIdentifiable
`getId, setId`

Field Detail

### P_PLUGIN_ID

    public static final String P_PLUGIN_ID

  A property that will be used to notify that a plugin id has changed.

  See Also:
    Constant Field Values

### P_PLUGIN_VERSION

    public static final String P_PLUGIN_VERSION

  A property that will be used to notify that a plugin version has changed.

  See Also:
    Constant Field Values

### P_RULE

    public static final String P_RULE

  A property that will be used to notify that a plugin version match rule has changed.

  See Also:
    Constant Field Values

Method Detail

### getPluginId

    public String getPluginId()

  Returns the id of the plug-in that is the target of this fragment.

  Returns:
    target plug-in id

### getPluginVersion

    public String getPluginVersion()

  Returns the version of the plug-in that is the target of this fragment.

  Returns:
    target plug-in version

### getRule

    public int getRule()

  Returns an optional version match rule as defined in IMatchRule interface.

  See Also:
    `IMatchRule`

### setPluginId

    public void setPluginId(String id)
                     throws CoreException

  Sets the id of the plug-in that will be the target of this fragment.

  Parameters:
    `id` - the id of the referenced plug-in.
  Throws:
    `CoreException` - attempts to modify a read-only fragment will result in an exception

### setPluginVersion

    public void setPluginVersion(String version)
                          throws CoreException

  Sets the version of the plug-in that will be the target of this fragment.'

  Parameters:
    `version` - the version of the referenced version.
  Throws:
    `CoreException` - attempts to modify a read-only fragment will result in an exception

### setRule

    public void setRule(int rule)
                 throws CoreException

  Sets the optional version match rule as defined in IMatchRules. This rule will be used when attempting to match the referenced plug-in version.

  Parameters:
    `rule` - the match rule to be used when locating the referenced the plug-in.
  Throws:
    `CoreException` - attempts to modify a read-only fragment will result in an exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse PDE Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.